<div class="row" ng-controller="ConfiguracionPermisoController">
  <div class="col-md-12" ng-if="isLoading">
  	<loading></loading>
  </div>
  <div class="col-md-12" ng-if="!isLoading">
  	<div class="row">
  		<div class="col-md-8">
			<input type="text" class="form-control" ng-model="buscar" placeholder="Buscar Permiso">
		</div>
		<div class="col-md-4 col-md-offset-2">
			
		</div>
  	</div>
  	<div class="row">
  		<div class="col-md-12">
			<br>
			<div class="table-responsive">
				<table class="table table-hover">
					<thead>
						<tr>
							<th>Permiso</th>
							<th>slug</th>
							<th class="text-center">Opciones</th>
						</tr>
					</thead>
					<tbody>
						<tr ng-repeat="per in permisos |filter: buscar">
							<td>{{per.nombre}}</td>
							<td>{{per.slug}}</td>
							<td style="vertical-align:middle; white-space: nowrap;" class="text-center">
								<div class="onoffswitch primary inline-block">
				                    <input type="checkbox" name="onoffswitch" ng-click="loadData()" class="onoffswitch-checkbox" ng-model="per.enable" id="switch{{per.id}}" checked="">
				                    <label class="onoffswitch-label" for="switch{{per.id}}">
				                      <span class="onoffswitch-inner"></span>
				                      <span class="onoffswitch-switch"></span>
				                    </label>
				                </div>
							</td>
						</tr>
					</tbody>
				</table>
			</div>
			<hr style="margin-top: 10px;margin-bottom: 10px;">
            <div class="text-center">
            	<button ng-if="!httpRequest" class="btn btn-border btn-rounded-10 btn-primary" ng-disabled="!(permisos_cambiados.length > 0)" ng-click="saveOpcion()"><i class="fa fa-save"></i> Guardar Cambios</button>
            	<button-spin ng-if="httpRequest"></button-spin>
            </div>
		</div>
  	</div>
  </div>
</div>